> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Testmail Group List

> Get the details of all the testmail groups you have created.



## OpenAPI

````yaml /openapi-v1.json post /campaign/testmail-groups/list
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /campaign/testmail-groups/list:
    post:
      tags:
        - Campaigns
      summary: Testmail Group List
      description: Get the details of all the testmail groups you have created.
      operationId: testmail-group-list
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: application/json
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                search:
                  type: string
              x-examples:
                Example 1:
                  search: dkjdkjdkjdss
            examples:
              example-1:
                value:
                  search: group_name/email
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        emails:
                          type: array
                          items:
                            type: string
                        group_name:
                          type: string
                x-examples:
                  Example 1:
                    data:
                      - emails:
                          - test@vinmail.io
                          - hii@vinmail.io
                          - bii@vinmail.io
                          - sdjfhjk@vinmail.io
                          - nii@vinmail.io
                          - live@vinmail.io
                        group_name: Most
                      - emails:
                          - test@vinmail.io
                          - hii@vinmail.io
                          - bii@vinmail.io
                          - sdjfhjk@vinmail.io
                        group_name: Name
                      - emails:
                          - test@vinmail.io
                          - hii@vinmail.io
                          - bii@vinmail.io
                        group_name: Group
                      - emails:
                          - test@vinmail.io
                          - hii@vinmail.io
                        group_name: New
                      - emails:
                          - test@vinmail.io
                        group_name: Test
                      - emails:
                          - test@vinmail.io
                        group_name: dkjdkjdkjdss
              examples:
                example-1:
                  value:
                    data:
                      - emails:
                          - sender@yourdomain.com
                          - jacobwilson@gmail.com
                          - harrybrook@yahoo.com
                        group_name: Demo Group
                        id: SS
                      - emails:
                          - sender@yourdomain.com
                        group_name: Demo
                        id: SK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      field:
                        type: string
                        minLength: 1
                      message:
                        type: string
                        minLength: 1
              examples:
                example-1:
                  value:
                    error:
                      field: '-'
                      message: Invalid input
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                          minLength: 1
              examples:
                example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````